Transfer
List all transfers
List all transfers across all transfer types under your platform.
Query Parameters
account_number
stringOptionalFilter by account number
account_number_id
stringOptionalFilter by account number ID (matches either sender or receiver)
ach_type
stringOptionalFilter by ACH transfer type
amount
numberOptionalFilter by exact amount (in smallest currency unit)
amount_gt
numberOptionalFilter by amount greater than this value
amount_gte
numberOptionalFilter by amount greater than or equal to this value
amount_lt
numberOptionalFilter by amount less than this value
amount_lte
numberOptionalFilter by amount less than or equal to this value
bank_account_id
stringOptionalFilter by bank account ID (matches either sender or receiver)
counterparty_id
stringOptionalFilter by counterparty ID
created_at_gt
date-timeOptionalFilter by created_at after this timestamp
created_at_gte
date-timeOptionalFilter by created_at at or after this timestamp
created_at_lt
date-timeOptionalFilter by created_at before this timestamp
created_at_lte
date-timeOptionalFilter by created_at at or before this timestamp
description
stringOptionalFilter by transfer description
ending_before
stringOptionalCursor for backward pagination. Provide the ID of the first item in the previous page.
is_incoming
booleanOptionalFilter by whether the transfer is incoming
limit
integerOptionalMaximum number of results to return (1-100)
query
stringOptionalFree-text search across transfer fields.
receiver_account_number_id
stringOptionalFilter by the receiver account number ID
receiver_bank_account_id
stringOptionalFilter by the receiver bank account ID
routing_number
stringOptionalFilter by routing number
sender_account_number_id
stringOptionalFilter by the sender account number ID
sender_bank_account_id
stringOptionalFilter by the sender bank account ID
sort_by
stringOptionalField to sort results by
sort_order
stringOptionalSort order (asc or desc)
starting_after
stringOptionalCursor for forward pagination. Provide the ID of the last item in the previous page.
status
stringOptionalFilter by transfer status
transfer_batch_id
stringOptionalFilter by transfer batch ID
transfer_id
stringOptionalFilter by a specific transfer ID
type
stringOptionalFilter by transfer type (e.g., ach, wire, book, realtime, check, swift)